Create Subscription

The Subscriptions API allows you create and manage recurring payments.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
double
required
Defaults to 5

The price of the subscription. The minimum subscription price is 1 and the maximum subscription price is 100,000

int32
required
Defaults to 1

The currency id to create the subscription with. Supported currencies are here https://docs.eukapay.com/docs/supported-currencies

string
required
Defaults to cus_rl28l5c27cyvtuu455cdgqf3xk

The code of the customer the subscription is to be created for. If total subscription price is greater than or equal to 1,000, fields address1, city, state, country are required in the customer object.

string
required
Defaults to Daily

The interval at which the recurring payment will be requested. The intervals are 'Daily', 'Weekly', 'Bi-weekly', 'Semi-monthly', 'Monthly', 'Quarterly', 'Semi-annually', 'Annually'

boolean
Defaults to true

The first invoice is created immediately and included in the invoices data. In this case, the startDate and the nextDate are not be able to set.

date
Defaults to 2024-02-28

The start date of the subscription. The format is YYYY-MM-DD.

date
required
Defaults to 2024-03-28

The end date of the subscription. The format is YYYY-MM-DD.

date
Defaults to 2024-02-28

The next date of the subscription. The date that the first payment request will be sent. The format is YYYY-MM-DD.

string
Defaults to subscription message

Additional message to describe subscription.

string
Defaults to https://example.com/subscriptionPaid

The url to redirect to once payment is completed.

double
Defaults to 2.5

The amount for shipping.

double
Defaults to 3.5

The amount for tax.

double
Defaults to 1.99

The discount amount.

subscriptionItems
array of objects

The subscription items for this subscription.

subscriptionItems
subscriptionTaxes
array of objects

The subscription taxes for this subscription.

subscriptionTaxes
subscriptionDiscounts
array of objects

The subscription discounts for this subscription.

subscriptionDiscounts
Headers
string
Responses

Language
Credentials
Header
LoadingLoading…
Response
Choose an example:
application/json